Allow SSH access to git repo in addition to HTTPS

09/16/2012 03:40 PM - Deil Christoph

Status: Rejected Start date: 09/16/2012

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Sorry for bothering you with this, but at MPIK there is a problem with the git / HTTPS proxy setup that prevents the use of git over

HTTP or HTTPS.

I tried for hours with our sysadmin to work around this problem and we couldn't find a solution.

If it is easily possible, could you additionally allow SSH connections to the gammalib git repo?

History

#1 - 09/19/2012 10:18 PM - Knödlseder Jürgen

Hi Christoph,

Have you followed the instructions on https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/Contributing_to_GammaLib

Can you explain where exactly you got stuck?

Cheers,

Jürgen

#2 - 09/19/2012 10:18 PM - Knödlseder Jürgen

- Tracker changed from Feature to Change request

#3 - 10/11/2012 01:05 PM - Deil Christoph

Jürgen Knödlseder wrote:

Have you followed the instructions on https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/Contributing_to_GammaLib

Can you explain where exactly you got stuck?

 

The clone (and any other further operation like push or pull) fails because of http proxy problems on our side:

$ time git clone https://cta-git.irap.omp.eu/gammalib

Cloning into 'gammalib'...

error: Failed connect to cta-git.irap.omp.eu:443; Operation timed out while accessing

 https://cta-git.irap.omp.eu/gammalib/info/refs?service=git-upload-pack

fatal: HTTP request failed

real    1m15.766s

So like I said, only if it is easy to set up for you, allowing ssh git access to the repos would be convenient for me (and possibly others behind http

proxies).
Another thing I've noticed is that I can't clone ctools as described at https://cta-redmine.irap.omp.eu/projects/ctools/wiki .

I have to append a .git at the end:

$ export GIT_SSL_NO_VERIFY=true

$ git clone https://cta-git.irap.omp.eu/ctools

Cloning into 'ctools'...

error: RPC failed; result=22, HTTP code = 401

fatal: The remote end hung up unexpectedly

$ git clone https://cta-git.irap.omp.eu/ctools.git

Cloning into 'ctools'...

remote: Counting objects: 2384, done.

remote: Compressing objects: 100% (911/911), done.

remote: Total 2384 (delta 1683), reused 2041 (delta 1452)

Receiving objects: 100% (2384/2384), 3.24 MiB | 5.24 MiB/s, done.

Resolving deltas: 100% (1683/1683), done.

Checking out files: 100% (163/163), done.

This is a bit weird, because for gammalib it works with or without the .git at the end.

Can you reproduce this problem or is this also a git / proxy setup problem at the MPIK?

#4 - 10/11/2012 03:59 PM - Knödlseder Jürgen

We did quite some comparison of the various access methods, but for security reasons we decided to use https.

I googled your problem and found this (http://wiki.freeswitch.org/wiki/Git_Tips):

If for any reason you can't reach git://git.freeswitch.org (e.g. you are behind corporate firewalls or proxy) you could use the github mirror like this:

$ git clone https://github.com/FreeSWITCH/FreeSWITCH.git

Initialized empty Git repository in /home/dev1/fstest/FreeSWITCH/.git/

error: Failed connect to github.com:443; Operation now in progress while accessing

https://github.com/FreeSWITCH/FreeSWITCH.git/info/refs

fatal: HTTP request failed

Than you could set your proxy like this:

$ git config --global http.proxy <yourproxy:yourport>

and it should work:

git clone https://github.com/FreeSWITCH/FreeSWITCH.git

Initialized empty Git repository in /home/dev1/fstest/FreeSWITCH/.git/

...
#5 - 10/11/2012 04:05 PM - Knödlseder Jürgen

For your second problem, and can it indeed reproduce! This looks like a bug.

To access ctools, you should use

git clone https://cdeil@cta-git.irap.omp.eu/ctools

i.e. you should prepend the user. It will then ask for the password. However, ctools.git can be accessed without any password, which should not

happen!

I openen Bug #551 in our infrastructure project to fix this issue.

#6 - 12/24/2013 10:20 PM - Knödlseder Jürgen

- Status changed from New to Rejected

We only support https for the moment but copy the repo to github.
